Package org.eclipse.birt.report.engine.api.script.instance

# Interface ICellInstance

All Superinterfaces:
  `IReportElementInstance`

public interface ICellInstance extends IReportElementInstance

## Method Summary

Modifier and Type
Method
Description
`int`
`getColSpan()`
Get the column span
`int`
`getColumn()`
Get the column number
`int`
`getRowSpan()`
`void`
`setColSpan(int colSpan)`
Set the column span
`void`
`setRowSpan(int rowSpan)`
Set the rowspan

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportElementInstance

`getHeight, getHorizontalPosition, getNamedExpressionValue, getParent, getRowData, getStyle, getUserPropertyValue, getVerticalPosition, getWidth, setHeight, setHorizontalPosition, setUserPropertyValue, setVerticalPosition, setWidth`

## Method Details

### getColSpan

int getColSpan()
Get the column span

Returns:
  the column span

### setColSpan

void setColSpan(int colSpan)
Set the column span

Parameters:
  `colSpan` - , the column span

### getRowSpan

int getRowSpan()

Returns:
  Returns the rowSpan.

### setRowSpan

void setRowSpan(int rowSpan)
Set the rowspan

Parameters:
  `rowSpan` - , the row span

### getColumn

int getColumn()
Get the column number

Returns:
  the column number